### GET /meta/compatibility-dates Source: https://esi.evetech.net/meta/openapi.json Get a list of compatibility dates. ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **MetaCompatibilityDates** - **compatibility_dates** (array (CompatibilityDate)) (required): List of compatibility dates. #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/meta/compatibility-dates" ``` ``` -------------------------------- ### GET /route/{origin}/{destination} Source: https://esi.evetech.net/meta/openapi.json Get the systems between origin and destination ```markdown ### Parameters - **avoid** (array (integer (int64)), query, optional) - **connections** (array (array (integer (int64))), query, optional) - **destination** (integer (int64), path, required) - **flag** (string (shortest|secure|insecure), query, optional) - **origin** (integer (int64), path, required) - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **RouteOriginDestinationGet** - Array of integer (int64) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/route/{origin}/{destination}?avoid=item1,item2&connections=item1,item2&flag=shortest" ``` ``` -------------------------------- ### GET /meta/changelog Source: https://esi.evetech.net/meta/openapi.json Get the changelog of this API. ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **MetaChangelog** - **changelog** (object) (required): Per date, list changes for that date #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/meta/changelog" ``` ``` -------------------------------- ### GET /corporations/{corporation_id}/icons Source: https://esi.evetech.net/meta/openapi.json Get the icon urls for a corporation ```markdown ### Parameters - **corporation_id** (CorporationID, path, required): The ID of the corporation - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **CorporationsCorporationIdIconsGet** - **px128x128** (string) - **px256x256** (string) - **px64x64** (string) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/corporations/{corporation_id}/icons" ``` ``` -------------------------------- ### GET /universe/schematics/{schematic_id} Source: https://esi.evetech.net/meta/openapi.json Get information on a planetary factory schematic ```markdown ### Parameters - **schematic_id** (integer (int64), path, required) - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **UniverseSchematicsSchematicIdGet** - **cycle_time** (integer (int64)) (required): Time in seconds to process a run - **schematic_name** (string) (required) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/universe/schematics/{schematic_id}" ``` ``` -------------------------------- ### POST /ui/autopilot/waypoint Source: https://esi.evetech.net/meta/openapi.json Set a solar system as autopilot waypoint ```markdown ### Parameters - **add_to_beginning** (boolean, query, required) - **clear_other_waypoints** (boolean, query, required) - **destination_id** (integer (int64), query, required) - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 204 - Open window request received Empty response body #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X POST "https://esi.evetech.net/ui/autopilot/waypoint?add_to_beginning=false&clear_other_waypoints=false&destination_id=0" ``` ``` -------------------------------- ### Schema: CharactersCharacterIdWalletGet Source: https://esi.evetech.net/meta/openapi.json Wallet balance ```markdown ## Schema: CharactersCharacterIdWalletGet Wallet balance **Type:** number ``` -------------------------------- ### GET /markets/prices Source: https://esi.evetech.net/meta/openapi.json Return a list of prices ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **MarketsPricesGet** - Array of object - **adjusted_price** (number (double)) - **average_price** (number (double)) - **type_id** (integer (int64)) (required) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/markets/prices" ``` ``` -------------------------------- ### POST /fleets/{fleet_id}/wings/{wing_id}/squads Source: https://esi.evetech.net/meta/openapi.json Create a new squad in a fleet ```markdown ### Parameters - **fleet_id** (integer (int64), path, required) - **wing_id** (integer (int64), path, required) - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 201 - Created **FleetsFleetIdWingsWingIdSquadsPost** - **squad_id** (integer (int64)) (required): The squad_id of the newly created squad #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X POST "https://esi.evetech.net/fleets/{fleet_id}/wings/{wing_id}/squads" ``` ``` -------------------------------- ### GET /corporations/{corporation_id}/wallets Source: https://esi.evetech.net/meta/openapi.json Get a corporation's wallets ```markdown ### Parameters - **corporation_id** (CorporationID, path, required): The ID of the corporation - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **CorporationsCorporationIdWalletsGet** - Array of object - **balance** (number (double)) (required) - **division** (integer (int64)) (required) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/corporations/{corporation_id}/wallets" ``` ``` -------------------------------- ### POST /ui/openwindow/contract Source: https://esi.evetech.net/meta/openapi.json Open the contract window inside the client ```markdown ### Parameters - **contract_id** (integer (int64), query, required) - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 204 - Open window request received Empty response body #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X POST "https://esi.evetech.net/ui/openwindow/contract?contract_id=0" ``` ``` -------------------------------- ### GET /industry/systems Source: https://esi.evetech.net/meta/openapi.json Return cost indices for solar systems ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **IndustrySystemsGet** - Array of object - **cost_indices** (array (object)) (required) Array items: - **activity** (string (copying|duplicating|invention|manufacturing|none|reaction|researching_material_efficiency|researching_technology|researching_time_efficiency|reverse_engineering)) (required) ("copying"|"duplicating"|"invention"|"manufacturing"|"none"|"reaction"|"researching_material_efficiency"|"researching_technology"|"researching_time_efficiency"|"reverse_engineering") - **cost_index** (number (double)) (required) - **solar_system_id** (integer (int64)) (required) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/industry/systems" ``` ``` -------------------------------- ### GET /characters/{character_id}/wallet/transactions Source: https://esi.evetech.net/meta/openapi.json Get wallet transactions of a character ```markdown ### Parameters - **character_id** (CharacterID, path, required): The ID of the character - **from_id** (integer (int64), query, optional) - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **CharactersCharacterIdWalletTransactionsGet** - Array of object - **client_id** (integer (int64)) (required) - **date** (string (date-time)) (required): Date and time of transaction - **is_buy** (boolean) (required) - **is_personal** (boolean) (required) - **journal_ref_id** (integer (int64)) (required) - **location_id** (integer (int64)) (required) - **quantity** (integer (int64)) (required) - **transaction_id** (integer (int64)) (required): Unique transaction ID - **type_id** (integer (int64)) (required) - **unit_price** (number (double)) (required): Amount paid per unit #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/characters/{character_id}/wallet/transactions?from_id=0" ``` ``` -------------------------------- ### GET /universe/regions Source: https://esi.evetech.net/meta/openapi.json Get a list of regions This route expires daily at 11:05 ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **UniverseRegionsGet** - Array of integer (int64) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/universe/regions" ``` ``` -------------------------------- ### Schema: CharactersCharacterIdWalletTransactionsGet Source: https://esi.evetech.net/meta/openapi.json Wallet transactions ```markdown ## Schema: CharactersCharacterIdWalletTransactionsGet Wallet transactions **Type:** array - Array of object - **client_id** (integer (int64)) (required) - **date** (string (date-time)) (required): Date and time of transaction - **is_buy** (boolean) (required) - **is_personal** (boolean) (required) - **journal_ref_id** (integer (int64)) (required) - **location_id** (integer (int64)) (required) - **quantity** (integer (int64)) (required) - **transaction_id** (integer (int64)) (required): Unique transaction ID - **type_id** (integer (int64)) (required) - **unit_price** (number (double)) (required): Amount paid per unit ``` -------------------------------- ### GET /universe/graphics Source: https://esi.evetech.net/meta/openapi.json Get a list of graphics This route expires daily at 11:05 ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **UniverseGraphicsGet** - Array of integer (int64) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/universe/graphics" ``` ``` -------------------------------- ### GET /fw/systems Source: https://esi.evetech.net/meta/openapi.json An overview of the current ownership of faction warfare solar systems ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **FwSystemsGet** - Array of object - **contested** (string (captured|contested|uncontested|vulnerable)) (required) ("captured"|"contested"|"uncontested"|"vulnerable") - **occupier_faction_id** (integer (int64)) (required) - **owner_faction_id** (integer (int64)) (required) - **solar_system_id** (integer (int64)) (required) - **victory_points** (integer (int64)) (required) - **victory_points_threshold** (integer (int64)) (required) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/fw/systems" ``` ``` -------------------------------- ### GET /universe/factions Source: https://esi.evetech.net/meta/openapi.json Get a list of factions This route expires daily at 11:05 ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **UniverseFactionsGet** - Array of object - **corporation_id** (integer (int64)) - **description** (string) (required) - **faction_id** (integer (int64)) (required) - **is_unique** (boolean) (required) - **militia_corporation_id** (integer (int64)) - **name** (string) (required) - **size_factor** (number (double)) (required) - **solar_system_id** (integer (int64)) - **station_count** (integer (int64)) (required) - **station_system_count** (integer (int64)) (required) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/universe/factions" ``` ``` -------------------------------- ### GET /universe/constellations Source: https://esi.evetech.net/meta/openapi.json Get a list of constellations This route expires daily at 11:05 ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **UniverseConstellationsGet** - Array of integer (int64) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/universe/constellations" ``` ``` -------------------------------- ### POST /ui/openwindow/newmail Source: https://esi.evetech.net/meta/openapi.json Open the New Mail window, according to settings from the request if applicable ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Request Body **Content-Type:** application/json - **body** (string) (required) - **recipients** (array (integer (int64))) (required) - **subject** (string) (required) - **to_corp_or_alliance_id** (integer (int64)) - **to_mailing_list_id** (integer (int64)): Corporations, alliances and mailing lists are all types of mailing groups. You may only send to one mailing group, at a time, so you may fill out either this field or the to_corp_or_alliance_ids field ### Responses #### 204 - Open window request received Empty response body #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X POST "https://esi.evetech.net/ui/openwindow/newmail" \ -H "Content-Type: application/json" \ -d '{ "body": "string", "recipients": [ "0" ], "subject": "string", "to_corp_or_alliance_id": "0", "to_mailing_list_id": "0" }' ``` ``` -------------------------------- ### GET /universe/bloodlines Source: https://esi.evetech.net/meta/openapi.json Get a list of bloodlines This route expires daily at 11:05 ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **UniverseBloodlinesGet** - Array of object - **bloodline_id** (integer (int64)) (required) - **charisma** (integer (int64)) (required) - **corporation_id** (integer (int64)) (required) - **description** (string) (required) - **intelligence** (integer (int64)) (required) - **memory** (integer (int64)) (required) - **name** (string) (required) - **perception** (integer (int64)) (required) - **race_id** (integer (int64)) (required) - **ship_type_id** (integer (int64)) (required) - **willpower** (integer (int64)) (required) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/universe/bloodlines" ``` ``` -------------------------------- ### GET /alliances Source: https://esi.evetech.net/meta/openapi.json List all active player alliances ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **AlliancesGet** - Array of integer (int64) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/alliances" ``` ``` -------------------------------- ### Schema: RouteOriginDestinationGet Source: https://esi.evetech.net/meta/openapi.json Solar systems in route ```markdown ## Schema: RouteOriginDestinationGet Solar systems in route **Type:** array - Array of integer (int64) ``` -------------------------------- ### GET /universe/ancestries Source: https://esi.evetech.net/meta/openapi.json Get all character ancestries This route expires daily at 11:05 ```markdown ### Parameters - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **UniverseAncestriesGet** - Array of object - **bloodline_id** (integer (int64)) (required): The bloodline associated with this ancestry - **description** (string) (required) - **icon_id** (integer (int64)) - **id** (integer (int64)) (required) - **name** (string) (required) - **short_description** (string) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/universe/ancestries" ``` ``` -------------------------------- ### GET /corporations/{corporation_id}/alliancehistory Source: https://esi.evetech.net/meta/openapi.json Get a list of all the alliances a corporation has been a member of ```markdown ### Parameters - **corporation_id** (CorporationID, path, required): The ID of the corporation - **Accept-Language** (string (en|de|fr|ja|ru|zh|ko|es), header, optional): The language to use for the response. - **If-None-Match** (string, header, optional): The ETag of the previous request. A 304 will be returned if this matches the current ETag. - **X-Compatibility-Date** (string (2020-01-01), header, required): The compatibility date for the request. - **X-Tenant** (string, header, optional): The tenant ID for the request. - **If-Modified-Since** (string, header, optional): The date the resource was last modified. A 304 will be returned if the resource has not been modified since this date. ### Responses #### 200 - OK **CorporationsCorporationIdAlliancehistoryGet** - Array of object - **alliance_id** (integer (int64)) - **is_deleted** (boolean): True if the alliance has been closed - **record_id** (integer (int64)) (required): An incrementing ID that can be used to canonically establish order of records in cases where dates may be ambiguous - **start_date** (string (date-time)) (required) #### default - Error **Error** - **details** (array (ErrorDetail)): List of individual error details. Array items: - **location** (string): Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id' - **message** (string): Error message text - **value** (unknown): The value at the given location - **error** (string) (required): Error message. ### Example Usage ```bash curl -X GET "https://esi.evetech.net/corporations/{corporation_id}/alliancehistory" ``` ```